# frozen_string_literal: true
module Hyrax
  class RemoveAssociatedObjectsJob < ApplicationJob
    def perform(dataset_id, work_type)
      dataset = work_type.constantize.find(dataset_id)
      dataset.complex_subjects.destroy_all if work_type == 'CrcDataset'
      dataset.file_sets.each(&:destroy)
    end
  end
end