module Hyrax
  module Workflow
    ##
    # This is not needed as we do it as a part of registering the DOI
    # Register date work is published and publisher
    module RegisterPublishMetadata
      def self.call(target:, **)
        complex_date = ComplexDate.new(RDF::Node.new, ActiveTriples::Resource.new)
        complex_date.date = Date.today.strftime('%d/%m/%Y')
        complex_date.description = 'Published'
        target.complex_date = target.complex_date + [complex_date]

        target.publisher = [ENV.fetch('DATASET_PUBLISHER', 'RUB')]

        target.save
      end
    end
  end
end
